# Ansible

Some basic Ansible 'stuff' for managing PiFrames.

This is very much WIP and nothing in this directory should **NOT** be used unless you plan on submitting patches / fixes / etc.

For now the goal of this code is to get a basic WireGuard deployment going for the PiFrameFleet area of the project.

# Notes

- Use ```setup-ansible-host.sh [ip] [user]``` to setup the ansible user + ssh public key on a host before running anything
- Use ```deploy-software-updates.sh``` to update software on all frames
- Use ```deploy-wireguard.sh``` to deploy wireguard on the dispatcher + all frames
  - Be sure to update frame IP address after running this so ansible uses the wireguard vpn instead of naked IP address
  - Use ```setup-additional-wireguard-client.sh``` to create a wireguard config for a non-frame host (like your laptop/desktop used to manage a fleet of frames via the dispatcher)
- Use ```deploy-dispatchers.sh``` to deploy dispatcher config (this is to fine-tune setup to include the frames)
- Use ```deploy-frames.sh``` to deploy frame configuration (this is a limited subset of config from the docs)
- See ```inventory.example``` and the ```host_vars``` directory for necessary config and layout of groups for the various ansible playbooks to work properly

# Licensing

Unless otherwise stated all source code is licensed under the [Apache 2 License](LICENSE-APACHE-2.0.txt).

Unless otherwise stated the non source code contents of this repository are licensed under a [Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](LICENSE-CC-Attribution-NonCommercial-ShareAlike-4.0-International.txt)
